import 'package:flutter/services.dart';
import 'package:gmalpha_flutter/base/base.dart';
import 'package:gmalpha_flutter/repo/setting_respository.dart';

class SettingProvide extends BaseProvide {
  final repo = new SettingRepo();

  bool isModifyAll = false;
  int listSize;

  String name;
  String city;
  String email;
  String headUrl;
  String userId;
  bool bindIns = false;

  String tempName;
  String tempCity;
  String tempHeadUrl;

  Map args;

  init(Map args) {
    headUrl = args["headUrl"];
    city = args["cityName"];
    name = args["name"];
    userId = args["userId"];
    if (city == null) {
      city = "请选择国家";
    }
    if (args["bindIns"] == "true") {
      bindIns = true;
      listSize = 4;
    } else {
      bindIns = false;
      listSize = 3;
    }
  }

  void setSaveBtnStatus() {
    if (tempName != name && tempCity != city && tempHeadUrl != headUrl) {
      isModifyAll = true;
    } else {
      isModifyAll = false;
    }
    notifyListeners();
  }

  void quitLogin() {
    repo.quitLogin();
  }

  void clickCity() {
    repo.clickCity();
  }

  void clickIns() {
    if(bindIns) {
      repo.clickIns();
    }else{
      clickArguement();
    }
  }

  void clickArguement() {
    repo.clickArguement();
  }
}
